Полезная информация

Общайтесь со знакомыми и друзьями в нашем сообществе в Facebook.
  • Форумы
  •  » Bugzilla
  •  » bugzilla 3.2.2 при установке ругается что нет модулей а они есть

№111-08-2009 16:58:10

Tuchka_84
Участник
 
Группа: Members
Зарегистрирован: 02-10-2008
Сообщений: 57
UA: Firefox 3.0
Веб-сайт

bugzilla 3.2.2 при установке ругается что нет модулей а они есть

Здравствуйте,

Устанавливаю bugzilla 3.2.2 На RedHat 5 . При запуске checksetup.pl выводится следующее (делаю отрывками если нужно могу привести целиком):

Выделить код

Код:

Checking for          Email-Send (v2.00)    not found
Checking for          Email-MIME (v1.861)   not found
Checking for Email-MIME-Modifier (v1.442)   not found

.....
* REQUIRED MODULES                                                    *
.....
COMMANDS:

    /usr/bin/perl install-module.pl Email::Send
    /usr/bin/perl install-module.pl Email::MIME
    /usr/bin/perl install-module.pl Email::MIME::Modifier

Установила эти модули с помощью CPAN  Но ошибка при запуске checksetup.pl осталась. При попытке второй раз установить выдает:

Выделить код

Код:

cpan[4]> install Email::Send
Email::Send is up to date (2.198).

cpan[5]> install Email::MIME
Email::MIME is up to date (1.863).

cpan[6]> install  Email::MIME::Modifier
Email::MIME::Modifier is up to date (1.444).

Тоже самое выдает и при вызове:

Выделить код

Код:

perl install-module.pl Email::Send
CPAN: Storable loaded ok (v2.15)
Going to read '/root/.cpan/Metadata'
  Database was generated on Mon, 03 Aug 2009 04:27:49 GMT
Installing Email::Send version 2.198...
Email::Send is up to date (2.198).
perl install-module.pl Email::MIME
CPAN: Storable loaded ok (v2.15)
Going to read '/root/.cpan/Metadata'
  Database was generated on Mon, 03 Aug 2009 04:27:49 GMT
Installing Email::MIME version 1.863...
Email::MIME is up to date (1.863).
perl install-module.pl Email::MIME::Modifier
CPAN: Storable loaded ok (v2.15)
Going to read '/root/.cpan/Metadata'
  Database was generated on Mon, 03 Aug 2009 04:27:49 GMT
Installing Email::MIME::Modifier version 1.444...
Email::MIME::Modifier is up to date (1.444).

Т.е. модуль то установлен но инсталлятор багзилы считает что его нет и дальше установку не выполняет.
Я в первый раз с таким сталкиваюсь, может кто что-нибудь посоветует?


Заранее спасибо.

Отсутствует

 

№224-08-2009 07:37:16

SnowyOwl
Участник
 
Группа: Extensions
Зарегистрирован: 13-01-2007
Сообщений: 274
UA: Firefox 3.0

Re: bugzilla 3.2.2 при установке ругается что нет модулей а они есть

Я бы проверил значение @INC (путь поиска модулей Perl)

Отсутствует

 

№311-09-2009 16:21:08

akz
Участник
 
Группа: Members
Зарегистрирован: 10-09-2009
Сообщений: 5
UA: Firefox 3.0

Re: bugzilla 3.2.2 при установке ругается что нет модулей а они есть

SnowyOwl пишет

Я бы проверил значение @INC (путь поиска модулей Perl)

та же проблема - все модули установлены из rpm (через apt-get), а после запуска checksetup.pl имеем:

COMMANDS TO INSTALL REQUIRED MODULES (You *must* run all these commands
and then re-run checksetup.pl):

    /usr/bin/perl5.8.8 install-module.pl Template
    /usr/bin/perl5.8.8 install-module.pl Email::MIME
    /usr/bin/perl5.8.8 install-module.pl Email::MIME::Encodings
    /usr/bin/perl5.8.8 install-module.pl Email::MIME::Modifier

При этом:

apt-get install perl-Template

Reading Package Lists... Done
Building Dependency Tree... Done
perl-Template is already the newest version.
0 upgraded, 0 newly installed, 0 removed and 3 not upgraded.

и

perl -e "print join(\"\n\", @INC);"

/etc/perl5
/usr/lib/perl5/i386-linux
/usr/lib/perl5
/usr/local/lib/perl5/site_perl/5.8.8/i386-linux
/usr/local/lib/perl5/site_perl/5.8.8
/usr/local/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/i386-linux
/usr/lib/perl5/vendor_perl
/usr/lib/perl5/vendor_perl

Отсутствует

 

№413-09-2009 22:52:51

SnowyOwl
Участник
 
Группа: Extensions
Зарегистрирован: 13-01-2007
Сообщений: 274
UA: Firefox 3.0

Re: bugzilla 3.2.2 при установке ругается что нет модулей а они есть

Что-то показания не совпадают:

Выделить код

Код:

* REQUIRED MODULES                                                    *
.....
COMMANDS:

    /usr/bin/perl install-module.pl Email::Send
    /usr/bin/perl install-module.pl Email::MIME
    /usr/bin/perl install-module.pl Email::MIME::Modifier
Выделить код

Код:

COMMANDS TO INSTALL REQUIRED MODULES (You *must* run all these commandsand then re-run checksetup.pl):    
/usr/bin/perl5.8.8 install-module.pl Template    
/usr/bin/perl5.8.8 install-module.pl Email::MIME    
/usr/bin/perl5.8.8 install-module.pl Email::MIME::Encodings    
/usr/bin/perl5.8.8 install-module.pl Email::MIME::Modifier

Таки /usr/bin/perl или /usr/bin/perl5.8.8? Сколько разных Perl в системе? Какую именно версию TT имеет в виду apt-get и где она лежит (не в теории, а по данным locate)?

Или это вопросы про две разных системы?

Отсутствует

 

№514-09-2009 15:42:46

Tuchka_84
Участник
 
Группа: Members
Зарегистрирован: 02-10-2008
Сообщений: 57
UA: Firefox 3.0
Веб-сайт

Re: bugzilla 3.2.2 при установке ругается что нет модулей а они есть

SnowyOwl пишет

Что-то показания не совпадают:


Или это вопросы про две разных системы?

Да это вопросы про разные системы.
В своей системе RedHat5 избавилась только следующим - это была виртуальная машина RedHat (если интересно найти в чем же все таки ошибка закопана могу на тестовой машине еще раз все шаги воспроизвести) и перед накатыванием модулей с помощью cpan я сделала копию этой виртуальной машины. Откатилась до этой версии без модулей и ставила уже через ссылку от багзилы, которую мне выдавал checksetup.pl:

Выделить код

Код:

/usr/bin/perl install-module.pl Email::Send

При такой установке модулей инсталляция багзилы проходит успешно.
Вот мой @INC:

Выделить код

Код:

[root@redhat2 ~]# perl -e "print join(\"\n\", @INC);"
/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.8
/usr/lib/perl5/site_perl/5.8.7
/usr/lib/perl5/site_perl/5.8.6
/usr/lib/perl5/site_perl/5.8.5
/usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8
/usr/lib/perl5/vendor_perl/5.8.7
/usr/lib/perl5/vendor_perl/5.8.6
/usr/lib/perl5/vendor_perl/5.8.5
/usr/lib/perl5/vendor_perl
/usr/lib/perl5/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/5.8.8
.[root@redhat2 ~]#

Отсутствует

 

№616-09-2009 15:50:50

akz
Участник
 
Группа: Members
Зарегистрирован: 10-09-2009
Сообщений: 5
UA: Firefox 3.0

Re: bugzilla 3.2.2 при установке ругается что нет модулей а они есть

Спасибо за ответы. Perl в системе один, как по умолчанию в ALT Linux было поставлено, так и есть. Так как после 3 дней битья в бубен довольно опытному человеку так и не удалось поставить Bugzilla, выбор пал на другую систему Bug Tracking: пусть менее именитую, зато требующую только стандартных mysql и php. Установилась и заработала за 5 минут.

Отсутствует

 
  • Форумы
  •  » Bugzilla
  •  » bugzilla 3.2.2 при установке ругается что нет модулей а они есть

Board footer

Powered by PunBB
Modified by Mozilla Russia
Copyright © 2004–2020 Mozilla Russia GitHub mark
Язык отображения форума: [Русский] [English]